Backend API
$(() => {
const cardView = $('#card-view').dxCardView({
dataSource: employees,
keyExpr: 'ID',
cardsPerRow: 'auto',
cardMinWidth: 300,
selection: {
mode: 'multiple'
},
selectedCardKeys: [4, 6],
columns: ['FullName', 'Position', 'Phone', 'Email'],
cardCover: {
altExpr: ({ FullName }) => `Photo of ${FullName}`,
imageExpr: ({ FullName }) => `../../../../images/employees/new/${FullName}.jpg`,
}
}).dxCardView('instance');
function renderOptions() {
$("#selection-mode").dxSelectBox({
dataSource: ['single', 'multiple'],
value: cardView.option('selection.mode'),
inputAttr: { 'aria-label': 'Selection Mode' },
onOptionChanged(e) {
if (e.name === 'value') {
cardView.option('selection.mode', e.value);
cardView.clearSelection();
renderOptions();
}
},
});
$("#show-checkboxes-mode").dxSelectBox({
dataSource: ['always', 'none', 'onClick', 'onLongTap'],
value: cardView.option('selection.showCheckBoxesMode'),
inputAttr: { 'aria-label': 'Show Checkboxes Mode' },
onOptionChanged(e) {
if (e.name === 'value') {
cardView.option('selection.showCheckBoxesMode', e.value);
renderOptions();
}
},
disabled: cardView.option('selection.mode') !== 'multiple',
});
$("#allow-select-all").dxCheckBox({
value: cardView.option('selection.allowSelectAll'),
text: 'Allow Select All',
onOptionChanged(e) {
if (e.name === 'value') {
cardView.option('selection.allowSelectAll', e.value);
renderOptions();
}
},
disabled: cardView.option('selection.mode') !== 'multiple',
});
$("#select-all-mode").dxSelectBox({
dataSource: ['allPages', 'page'],
value: cardView.option('selection.selectAllMode'),
inputAttr: { 'aria-label': 'Select All Mode' },
onOptionChanged(e) {
if (e.name === 'value') {
cardView.option('selection.selectAllMode', e.value);
renderOptions();
}
},
disabled: (
cardView.option('selection.mode') !== 'multiple' ||
!cardView.option('selection.allowSelectAll')
),
});
}
renderOptions();
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<script src="js/dx.all.js?v=25.1.7"></script>
<script src="data.js"></script>
<script src="index.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="options-panel">
<div class="caption">Options</div>
<div class="options-container">
<div class="option"> <span>Selection Mode</span><div id="selection-mode"></div> </div>
<div class="option"> <span>Show Checkboxes Mode</span><div id="show-checkboxes-mode"></div> </div>
<div class="option"> <span>Select All Mode</span><div id="select-all-mode"></div> </div>
<div class="option"> <div id="allow-select-all"></div> </div>
</div>
</div>
<div id="card-view"></div>
</div>
</body>
</html>
.options-panel {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.options-container {
display: flex;
flex-wrap: wrap;
align-items: center;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin: 10px;
display: flex;
align-items: center;
width: fit-content;
}
.option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
const employees = [
{
ID: 3,
FullName: 'Arthur Miller',
Position: 'CTO',
Department: 'Management',
Phone: '+1 (310) 555-8583',
Email: 'arthurm@dx-email.com',
},
{
ID: 4,
FullName: 'Robert Reagan',
Position: 'CMO',
Department: 'Management',
Phone: '+1 (818) 555-2387',
Email: 'robertr@dx-email.com',
},
{
ID: 5,
FullName: 'Greta Sims',
Position: 'HR Manager',
Department: 'Human Resources',
Phone: '+1 (818) 555-6546',
Email: 'gretas@dx-email.com',
},
{
ID: 6,
FullName: 'Brett Wade',
Position: 'IT Manager',
Department: 'IT',
Phone: '+1 (626) 555-0358',
Email: 'brettw@dx-email.com',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Position: 'Controller',
Department: 'Human Resources',
Phone: '+1 (562) 555-2082',
Email: 'sandraj@dx-email.com',
},
{
ID: 8,
FullName: 'Ed Holmes',
Position: 'Sales Manager',
Department: 'Sales',
Phone: '+1 (310) 555-1288',
Email: 'edwardh@dx-email.com',
},
{
ID: 9,
FullName: 'Barb Banks',
Position: 'Support Manager',
Department: 'Support',
Phone: '+1 (310) 555-3355',
Email: 'barbarab@dx-email.com',
},
{
ID: 10,
FullName: 'Kevin Carter',
Position: 'Shipping Manager',
Department: 'Shipping',
Phone: '+1 (213) 555-2840',
Email: 'kevinc@dx-email.com',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Position: 'HR Assistant',
Department: 'Human Resources',
Phone: '+1 (818) 555-6655',
Email: 'cindys@dx-email.com',
},
{
ID: 12,
FullName: 'Sammy Hill',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (626) 555-7292',
Email: 'sammyh@dx-email.com',
},
{
ID: 13,
FullName: 'Davey Jones',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (626) 555-0281',
Email: 'davidj@dx-email.com',
},
{
ID: 14,
FullName: 'Victor Norris',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-9278',
Email: 'victorn@dx-email.com',
},
{
ID: 15,
FullName: 'Mary Stern',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-7857',
Email: 'marys@dx-email.com',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-0942',
Email: 'robinc@dx-email.com',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (818) 555-9248',
Email: 'kellyr@dx-email.com',
},
{
ID: 18,
FullName: 'James Anderson',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (323) 555-4702',
Email: 'jamesa@dx-email.com',
},
{
ID: 19,
FullName: 'Antony Remmen',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (310) 555-6625',
Email: 'anthonyr@dx-email.com',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-2728',
Email: 'oliviap@dx-email.com',
},
{
ID: 21,
FullName: 'Taylor Riley',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (310) 555-7276',
Email: 'taylorr@dx-email.com',
},
{
ID: 22,
FullName: 'Amelia Harper',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (213) 555-4276',
Email: 'ameliah@dx-email.com',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-8872',
Email: 'wallyh@dx-email.com',
},
{
ID: 24,
FullName: 'Brad Jameson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-4646',
Email: 'bradleyj@dx-email.com',
},
{
ID: 25,
FullName: 'Karen Goodson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (626) 555-0908',
Email: 'kareng@dx-email.com',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Position: 'Travel Coordinator',
Department: 'Human Resources',
Phone: '+1 (213) 555-7098',
Email: 'marcuso@dx-email.com',
},
{
ID: 27,
FullName: 'Sandy Bright',
Position: 'Benefits Coordinator',
Department: 'Human Resources',
Phone: '+1 (818) 555-0524',
Email: 'sandrab@dx-email.com',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Position: 'Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-8238',
Email: 'morgank@dx-email.com',
},
{
ID: 29,
FullName: 'Violet Bailey',
Position: 'Jr Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-2478',
Email: 'violetb@dx-email.com',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Position: 'Ombudsman',
Department: 'Human Resources',
Phone: '+1 (562) 555-9282',
Email: 'kents@dx-email.com',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Position: 'Trainer',
Department: 'Support',
Phone: '+1 (562) 555-8377',
Email: 'nataliem@dx-email.com',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Position: 'Director of Engineering',
Department: 'Engineering',
Phone: '+1 (714) 555-2000',
Email: 'barta@dx-email.com',
},
{
ID: 33,
FullName: 'Leah Simpson',
Position: 'Test Coordinator',
Department: 'Engineering',
Phone: '+1 (562) 559-5830',
Email: 'leahs@dx-email.com',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-8882',
Email: 'arnolds@dx-email.com',
},
{
ID: 35,
FullName: 'Samantha Piper',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (323) 555-4512',
Email: 'samanthap@dx-email.com',
},
{
ID: 36,
FullName: 'Maggie Boxter',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-7239',
Email: 'margaretb@dx-email.com',
},
{
ID: 37,
FullName: 'Terry Bradley',
Position: 'QA Engineer',
Department: 'Engineering',
Phone: '+1 (805) 555-2788',
Email: 'terryb@dx-email.com',
},
{
ID: 38,
FullName: 'Gabe Jones',
Position: 'Retail Coordinator',
Department: 'Support',
Phone: '+1 (310) 555-5395',
Email: 'gabrielj@dx-email.com',
},
{
ID: 39,
FullName: 'Lucy Ball',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-3357',
Email: 'lucyb@dx-email.com',
},
{
ID: 40,
FullName: 'Jim Packard',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (661) 555-8224',
Email: 'jamesp@dx-email.com',
},
{
ID: 41,
FullName: 'Hannah Brookly',
Position: 'Online Sales Manager',
Department: 'Sales',
Phone: '+1 (805) 555-3627',
Email: 'hannahb@dx-email.com',
},
{
ID: 42,
FullName: 'Harv Mudd',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (831) 555-3895',
Email: 'harveym@dx-email.com',
},
{
ID: 43,
FullName: 'Clark Morgan',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-2525',
Email: 'clarkm@dx-email.com',
},
{
ID: 44,
FullName: 'Todd Hoffman',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-3579',
Email: 'toddh@dx-email.com',
},
{
ID: 45,
FullName: 'Jackie Garmin',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (213) 555-1824',
Email: 'jackg@dx-email.com',
},
{
ID: 46,
FullName: 'Lincoln Bartlett',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (213) 555-8272',
Email: 'lincolnb@dx-email.com',
},
{
ID: 47,
FullName: 'Brad Farkus',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-3626',
Email: 'bradf@dx-email.com',
},
{
ID: 48,
FullName: 'Jenny Hobbs',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (310) 555-2668',
Email: 'jennyh@dx-email.com',
},
{
ID: 49,
FullName: 'Dallas Lou',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-8357',
Email: 'dallas@dx-email.com',
},
{
ID: 50,
FullName: 'Stu Pizaro',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-2552',
Email: 'stu@dx-email.com',
},
];
Use the following properties to configure JavaScript CardView selection:
- allowSelectAll
Allows users to select all or current page cards (based on selectAllMode). - selectAllMode
Specifies mode used to select all cards. Applies only if selection.allowSelectAll istrue. - showCheckBoxesMode
Specifies when to display card selection checkboxes.

Backend API
<template>
<div className="options-panel">
<div className="caption">Options</div>
<div className="options-container">
<div className="option">
<span>Selection Mode</span>
<DxSelectBox
:data-source="['single', 'multiple']"
:input-attr="{ 'aria-label': 'Selection Mode'}"
:value="selectionMode"
@value-changed="onSelectionModeChange"
/>
</div>
<div className="option">
<span>Show Checkboxes Mode</span>
<DxSelectBox
:data-source="['always', 'none', 'onClick', 'onLongTap']"
:input-attr="{ 'aria-label': 'Show Checkboxes Mode'}"
:value="showCheckBoxesMode"
@value-changed="onShowCheckBoxesModeChange"
:disabled="selectionMode !== 'multiple'"
/>
</div>
<div className="option">
<span>Select All Mode</span>
<DxSelectBox
:data-source="['allPages', 'page']"
:input-attr="{ 'aria-label': 'Select All Mode'}"
:value="selectAllMode"
@value-changed="onSelectAllModeChange"
:disabled="selectionMode !== 'multiple' || !allowSelectAll"
/>
</div>
<div className="option">
<DxCheckBox
text="Allow Select All"
:value="allowSelectAll"
@value-changed="onAllowSelectAllChange"
:disabled="selectionMode !== 'multiple'"
/>
</div>
</div>
</div>
<DxCardView
id="cardView"
:data-source="employees"
key-expr="ID"
cards-per-row="auto"
:card-min-width="300"
:selected-card-keys="[4, 6]"
ref="cardViewRef"
>
<DxCardCover
:alt-expr="altExpr"
:image-expr="imageExpr"
/>
<DxSelection
:mode="selectionMode"
:show-check-boxes-mode="showCheckBoxesMode"
:allow-select-all="allowSelectAll"
:select-all-mode="selectAllMode"
/>
<DxColumn
data-field="FullName"
/>
<DxColumn
data-field="Position"
/>
<DxColumn
data-field="Phone"
/>
<DxColumn
data-field="Email"
/>
</DxCardView>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxCardView, DxColumn, DxSelection, DxCardCover,
} from 'devextreme-vue/card-view';
import { DxSelectBox, type DxSelectBoxTypes } from 'devextreme-vue/select-box';
import { DxCheckBox, type DxCheckBoxTypes } from 'devextreme-vue/check-box';
import { employees, type Employee } from './data.ts';
function altExpr({ FullName }: Employee): string {
return `Photo of ${FullName}`;
}
function imageExpr({ FullName }: Employee): string {
return `../../../../images/employees/new/${FullName}.jpg`;
}
const selectionMode = ref<'single' | 'multiple'>('multiple');
const allowSelectAll = ref(true);
const showCheckBoxesMode = ref<'always' | 'none' | 'onClick' | 'onLongTap'>('always');
const selectAllMode = ref<'allPages' | 'page'>('allPages');
const cardViewRef = ref();
const onSelectionModeChange = (e: DxSelectBoxTypes.ValueChangedEvent): void => {
selectionMode.value = e.value;
cardViewRef.value.instance.clearSelection();
};
const onShowCheckBoxesModeChange = (e: DxSelectBoxTypes.ValueChangedEvent): void => {
showCheckBoxesMode.value = e.value;
};
const onSelectAllModeChange = (e: DxSelectBoxTypes.ValueChangedEvent): void => {
selectAllMode.value = e.value;
};
const onAllowSelectAllChange = (e: DxCheckBoxTypes.ValueChangedEvent): void => {
allowSelectAll.value = e.value;
};
</script>
<style>
.options-panel {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.options-container {
display: flex;
flex-wrap: wrap;
align-items: center;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin: 10px;
display: flex;
align-items: center;
width: fit-content;
}
.option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export interface Employee {
ID: number;
FullName: string;
Position: string;
Department: string;
Phone: string;
Email: string;
}
export const employees: Employee[] = [
{
ID: 3,
FullName: 'Arthur Miller',
Position: 'CTO',
Department: 'Management',
Phone: '+1 (310) 555-8583',
Email: 'arthurm@dx-email.com',
},
{
ID: 4,
FullName: 'Robert Reagan',
Position: 'CMO',
Department: 'Management',
Phone: '+1 (818) 555-2387',
Email: 'robertr@dx-email.com',
},
{
ID: 5,
FullName: 'Greta Sims',
Position: 'HR Manager',
Department: 'Human Resources',
Phone: '+1 (818) 555-6546',
Email: 'gretas@dx-email.com',
},
{
ID: 6,
FullName: 'Brett Wade',
Position: 'IT Manager',
Department: 'IT',
Phone: '+1 (626) 555-0358',
Email: 'brettw@dx-email.com',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Position: 'Controller',
Department: 'Human Resources',
Phone: '+1 (562) 555-2082',
Email: 'sandraj@dx-email.com',
},
{
ID: 8,
FullName: 'Ed Holmes',
Position: 'Sales Manager',
Department: 'Sales',
Phone: '+1 (310) 555-1288',
Email: 'edwardh@dx-email.com',
},
{
ID: 9,
FullName: 'Barb Banks',
Position: 'Support Manager',
Department: 'Support',
Phone: '+1 (310) 555-3355',
Email: 'barbarab@dx-email.com',
},
{
ID: 10,
FullName: 'Kevin Carter',
Position: 'Shipping Manager',
Department: 'Shipping',
Phone: '+1 (213) 555-2840',
Email: 'kevinc@dx-email.com',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Position: 'HR Assistant',
Department: 'Human Resources',
Phone: '+1 (818) 555-6655',
Email: 'cindys@dx-email.com',
},
{
ID: 12,
FullName: 'Sammy Hill',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (626) 555-7292',
Email: 'sammyh@dx-email.com',
},
{
ID: 13,
FullName: 'Davey Jones',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (626) 555-0281',
Email: 'davidj@dx-email.com',
},
{
ID: 14,
FullName: 'Victor Norris',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-9278',
Email: 'victorn@dx-email.com',
},
{
ID: 15,
FullName: 'Mary Stern',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-7857',
Email: 'marys@dx-email.com',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-0942',
Email: 'robinc@dx-email.com',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (818) 555-9248',
Email: 'kellyr@dx-email.com',
},
{
ID: 18,
FullName: 'James Anderson',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (323) 555-4702',
Email: 'jamesa@dx-email.com',
},
{
ID: 19,
FullName: 'Antony Remmen',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (310) 555-6625',
Email: 'anthonyr@dx-email.com',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-2728',
Email: 'oliviap@dx-email.com',
},
{
ID: 21,
FullName: 'Taylor Riley',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (310) 555-7276',
Email: 'taylorr@dx-email.com',
},
{
ID: 22,
FullName: 'Amelia Harper',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (213) 555-4276',
Email: 'ameliah@dx-email.com',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-8872',
Email: 'wallyh@dx-email.com',
},
{
ID: 24,
FullName: 'Brad Jameson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-4646',
Email: 'bradleyj@dx-email.com',
},
{
ID: 25,
FullName: 'Karen Goodson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (626) 555-0908',
Email: 'kareng@dx-email.com',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Position: 'Travel Coordinator',
Department: 'Human Resources',
Phone: '+1 (213) 555-7098',
Email: 'marcuso@dx-email.com',
},
{
ID: 27,
FullName: 'Sandy Bright',
Position: 'Benefits Coordinator',
Department: 'Human Resources',
Phone: '+1 (818) 555-0524',
Email: 'sandrab@dx-email.com',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Position: 'Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-8238',
Email: 'morgank@dx-email.com',
},
{
ID: 29,
FullName: 'Violet Bailey',
Position: 'Jr Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-2478',
Email: 'violetb@dx-email.com',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Position: 'Ombudsman',
Department: 'Human Resources',
Phone: '+1 (562) 555-9282',
Email: 'kents@dx-email.com',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Position: 'Trainer',
Department: 'Support',
Phone: '+1 (562) 555-8377',
Email: 'nataliem@dx-email.com',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Position: 'Director of Engineering',
Department: 'Engineering',
Phone: '+1 (714) 555-2000',
Email: 'barta@dx-email.com',
},
{
ID: 33,
FullName: 'Leah Simpson',
Position: 'Test Coordinator',
Department: 'Engineering',
Phone: '+1 (562) 559-5830',
Email: 'leahs@dx-email.com',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-8882',
Email: 'arnolds@dx-email.com',
},
{
ID: 35,
FullName: 'Samantha Piper',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (323) 555-4512',
Email: 'samanthap@dx-email.com',
},
{
ID: 36,
FullName: 'Maggie Boxter',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-7239',
Email: 'margaretb@dx-email.com',
},
{
ID: 37,
FullName: 'Terry Bradley',
Position: 'QA Engineer',
Department: 'Engineering',
Phone: '+1 (805) 555-2788',
Email: 'terryb@dx-email.com',
},
{
ID: 38,
FullName: 'Gabe Jones',
Position: 'Retail Coordinator',
Department: 'Support',
Phone: '+1 (310) 555-5395',
Email: 'gabrielj@dx-email.com',
},
{
ID: 39,
FullName: 'Lucy Ball',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-3357',
Email: 'lucyb@dx-email.com',
},
{
ID: 40,
FullName: 'Jim Packard',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (661) 555-8224',
Email: 'jamesp@dx-email.com',
},
{
ID: 41,
FullName: 'Hannah Brookly',
Position: 'Online Sales Manager',
Department: 'Sales',
Phone: '+1 (805) 555-3627',
Email: 'hannahb@dx-email.com',
},
{
ID: 42,
FullName: 'Harv Mudd',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (831) 555-3895',
Email: 'harveym@dx-email.com',
},
{
ID: 43,
FullName: 'Clark Morgan',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-2525',
Email: 'clarkm@dx-email.com',
},
{
ID: 44,
FullName: 'Todd Hoffman',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-3579',
Email: 'toddh@dx-email.com',
},
{
ID: 45,
FullName: 'Jackie Garmin',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (213) 555-1824',
Email: 'jackg@dx-email.com',
},
{
ID: 46,
FullName: 'Lincoln Bartlett',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (213) 555-8272',
Email: 'lincolnb@dx-email.com',
},
{
ID: 47,
FullName: 'Brad Farkus',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-3626',
Email: 'bradf@dx-email.com',
},
{
ID: 48,
FullName: 'Jenny Hobbs',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (310) 555-2668',
Email: 'jennyh@dx-email.com',
},
{
ID: 49,
FullName: 'Dallas Lou',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-8357',
Email: 'dallas@dx-email.com',
},
{
ID: 50,
FullName: 'Stu Pizaro',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-2552',
Email: 'stu@dx-email.com',
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app" />
</div>
</body>
</html>
Use the following properties to configure CardView selection:
- allowSelectAll
Allows users to select all or current page cards (based on selectAllMode). - selectAllMode
Specifies mode used to select all cards. Applies only if selection.allowSelectAll istrue. - showCheckBoxesMode
Specifies when to display card selection checkboxes.

Backend API
<div class="options-panel">
<div class="caption">Options</div>
<div class="options-container">
<div class="option">
<span>Selection Mode</span>
<dx-select-box
[dataSource]="['single', 'multiple']"
[inputAttr]="{ 'aria-label': 'Selection Mode' }"
[(value)]="selectionMode"
(onValueChanged)="clearSelection()"
></dx-select-box>
</div>
<div class="option">
<span>Show Checkboxes Mode</span>
<dx-select-box
[dataSource]="['always', 'none', 'onClick', 'onLongTap']"
[inputAttr]="{ 'aria-label': 'Show Checkboxes Mode' }"
[(value)]="showCheckBoxesMode"
[disabled]="selectionMode !== 'multiple'"
></dx-select-box>
</div>
<div class="option">
<span>Select All Mode</span>
<dx-select-box
[dataSource]="['allPages', 'page']"
[inputAttr]="{ 'aria-label': 'Select All Mode' }"
[(value)]="selectAllMode"
[disabled]="selectionMode !== 'multiple' || !allowSelectAll"
></dx-select-box>
</div>
<div class="option">
<dx-check-box
text="Allow Select All"
[(value)]="allowSelectAll"
[disabled]="selectionMode !== 'multiple'"
></dx-check-box>
</div>
</div>
</div>
<dx-card-view
[dataSource]="employees"
keyExpr="ID"
[selectedCardKeys]="[4, 6]"
cardsPerRow="auto"
[cardMinWidth]="300"
>
<dxo-card-view-card-cover
[altExpr]="altExpr"
[imageExpr]="imageExpr"
></dxo-card-view-card-cover>
<dxo-card-view-selection
[mode]="selectionMode"
[showCheckBoxesMode]="showCheckBoxesMode"
[allowSelectAll]="allowSelectAll"
[selectAllMode]="selectAllMode"
></dxo-card-view-selection>
<dxi-card-view-column dataField="FullName"></dxi-card-view-column>
<dxi-card-view-column dataField="Position"></dxi-card-view-column>
<dxi-card-view-column dataField="Phone"></dxi-card-view-column>
<dxi-card-view-column dataField="Email"></dxi-card-view-column>
</dx-card-view>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, ViewChild, provideZoneChangeDetection } from '@angular/core';
import { DxCardViewComponent, DxCardViewModule, DxSelectBoxModule, DxCheckBoxModule } from 'devextreme-angular';
import { Employee, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxCardViewModule,
DxSelectBoxModule,
DxCheckBoxModule,
],
})
export class AppComponent {
@ViewChild(DxCardViewComponent, { static: true }) cardView: DxCardViewComponent;
employees: Employee[];
selectionMode = 'multiple';
allowSelectAll = true;
showCheckBoxesMode = 'always';
selectAllMode = 'allPages';
constructor(service: Service) {
this.employees = service.getEmployees();
}
altExpr({ FullName }: Employee): string {
return `Photo of ${FullName}`;
}
imageExpr({ FullName }: Employee): string {
return `../../../../images/employees/new/${FullName}.jpg`;
}
clearSelection() {
this.cardView.instance.clearSelection();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
.options-panel {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.options-container {
display: flex;
flex-wrap: wrap;
align-items: center;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin: 10px;
display: flex;
align-items: center;
width: fit-content;
}
.option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
import { Injectable } from '@angular/core';
export interface Employee {
ID: number;
FullName: string;
Position: string;
Department: string;
Phone: string;
Email: string;
}
const employees: Employee[] = [
{
ID: 3,
FullName: 'Arthur Miller',
Position: 'CTO',
Department: 'Management',
Phone: '+1 (310) 555-8583',
Email: 'arthurm@dx-email.com',
},
{
ID: 4,
FullName: 'Robert Reagan',
Position: 'CMO',
Department: 'Management',
Phone: '+1 (818) 555-2387',
Email: 'robertr@dx-email.com',
},
{
ID: 5,
FullName: 'Greta Sims',
Position: 'HR Manager',
Department: 'Human Resources',
Phone: '+1 (818) 555-6546',
Email: 'gretas@dx-email.com',
},
{
ID: 6,
FullName: 'Brett Wade',
Position: 'IT Manager',
Department: 'IT',
Phone: '+1 (626) 555-0358',
Email: 'brettw@dx-email.com',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Position: 'Controller',
Department: 'Human Resources',
Phone: '+1 (562) 555-2082',
Email: 'sandraj@dx-email.com',
},
{
ID: 8,
FullName: 'Ed Holmes',
Position: 'Sales Manager',
Department: 'Sales',
Phone: '+1 (310) 555-1288',
Email: 'edwardh@dx-email.com',
},
{
ID: 9,
FullName: 'Barb Banks',
Position: 'Support Manager',
Department: 'Support',
Phone: '+1 (310) 555-3355',
Email: 'barbarab@dx-email.com',
},
{
ID: 10,
FullName: 'Kevin Carter',
Position: 'Shipping Manager',
Department: 'Shipping',
Phone: '+1 (213) 555-2840',
Email: 'kevinc@dx-email.com',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Position: 'HR Assistant',
Department: 'Human Resources',
Phone: '+1 (818) 555-6655',
Email: 'cindys@dx-email.com',
},
{
ID: 12,
FullName: 'Sammy Hill',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (626) 555-7292',
Email: 'sammyh@dx-email.com',
},
{
ID: 13,
FullName: 'Davey Jones',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (626) 555-0281',
Email: 'davidj@dx-email.com',
},
{
ID: 14,
FullName: 'Victor Norris',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-9278',
Email: 'victorn@dx-email.com',
},
{
ID: 15,
FullName: 'Mary Stern',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-7857',
Email: 'marys@dx-email.com',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-0942',
Email: 'robinc@dx-email.com',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (818) 555-9248',
Email: 'kellyr@dx-email.com',
},
{
ID: 18,
FullName: 'James Anderson',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (323) 555-4702',
Email: 'jamesa@dx-email.com',
},
{
ID: 19,
FullName: 'Antony Remmen',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (310) 555-6625',
Email: 'anthonyr@dx-email.com',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-2728',
Email: 'oliviap@dx-email.com',
},
{
ID: 21,
FullName: 'Taylor Riley',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (310) 555-7276',
Email: 'taylorr@dx-email.com',
},
{
ID: 22,
FullName: 'Amelia Harper',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (213) 555-4276',
Email: 'ameliah@dx-email.com',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-8872',
Email: 'wallyh@dx-email.com',
},
{
ID: 24,
FullName: 'Brad Jameson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-4646',
Email: 'bradleyj@dx-email.com',
},
{
ID: 25,
FullName: 'Karen Goodson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (626) 555-0908',
Email: 'kareng@dx-email.com',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Position: 'Travel Coordinator',
Department: 'Human Resources',
Phone: '+1 (213) 555-7098',
Email: 'marcuso@dx-email.com',
},
{
ID: 27,
FullName: 'Sandy Bright',
Position: 'Benefits Coordinator',
Department: 'Human Resources',
Phone: '+1 (818) 555-0524',
Email: 'sandrab@dx-email.com',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Position: 'Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-8238',
Email: 'morgank@dx-email.com',
},
{
ID: 29,
FullName: 'Violet Bailey',
Position: 'Jr Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-2478',
Email: 'violetb@dx-email.com',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Position: 'Ombudsman',
Department: 'Human Resources',
Phone: '+1 (562) 555-9282',
Email: 'kents@dx-email.com',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Position: 'Trainer',
Department: 'Support',
Phone: '+1 (562) 555-8377',
Email: 'nataliem@dx-email.com',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Position: 'Director of Engineering',
Department: 'Engineering',
Phone: '+1 (714) 555-2000',
Email: 'barta@dx-email.com',
},
{
ID: 33,
FullName: 'Leah Simpson',
Position: 'Test Coordinator',
Department: 'Engineering',
Phone: '+1 (562) 559-5830',
Email: 'leahs@dx-email.com',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-8882',
Email: 'arnolds@dx-email.com',
},
{
ID: 35,
FullName: 'Samantha Piper',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (323) 555-4512',
Email: 'samanthap@dx-email.com',
},
{
ID: 36,
FullName: 'Maggie Boxter',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-7239',
Email: 'margaretb@dx-email.com',
},
{
ID: 37,
FullName: 'Terry Bradley',
Position: 'QA Engineer',
Department: 'Engineering',
Phone: '+1 (805) 555-2788',
Email: 'terryb@dx-email.com',
},
{
ID: 38,
FullName: 'Gabe Jones',
Position: 'Retail Coordinator',
Department: 'Support',
Phone: '+1 (310) 555-5395',
Email: 'gabrielj@dx-email.com',
},
{
ID: 39,
FullName: 'Lucy Ball',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-3357',
Email: 'lucyb@dx-email.com',
},
{
ID: 40,
FullName: 'Jim Packard',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (661) 555-8224',
Email: 'jamesp@dx-email.com',
},
{
ID: 41,
FullName: 'Hannah Brookly',
Position: 'Online Sales Manager',
Department: 'Sales',
Phone: '+1 (805) 555-3627',
Email: 'hannahb@dx-email.com',
},
{
ID: 42,
FullName: 'Harv Mudd',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (831) 555-3895',
Email: 'harveym@dx-email.com',
},
{
ID: 43,
FullName: 'Clark Morgan',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-2525',
Email: 'clarkm@dx-email.com',
},
{
ID: 44,
FullName: 'Todd Hoffman',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-3579',
Email: 'toddh@dx-email.com',
},
{
ID: 45,
FullName: 'Jackie Garmin',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (213) 555-1824',
Email: 'jackg@dx-email.com',
},
{
ID: 46,
FullName: 'Lincoln Bartlett',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (213) 555-8272',
Email: 'lincolnb@dx-email.com',
},
{
ID: 47,
FullName: 'Brad Farkus',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-3626',
Email: 'bradf@dx-email.com',
},
{
ID: 48,
FullName: 'Jenny Hobbs',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (310) 555-2668',
Email: 'jennyh@dx-email.com',
},
{
ID: 49,
FullName: 'Dallas Lou',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-8357',
Email: 'dallas@dx-email.com',
},
{
ID: 50,
FullName: 'Stu Pizaro',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-2552',
Email: 'stu@dx-email.com',
},
];
@Injectable()
export class Service {
getEmployees() {
return employees;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.68/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.2.8"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
Use the following properties to configure CardView selection:
- allowSelectAll
Allows users to select all or current page cards (based on selectAllMode). - selectAllMode
Specifies mode used to select all cards. Applies only if selection.allowSelectAll istrue. - showCheckBoxesMode
Specifies when to display card selection checkboxes.

Backend API
import React, { useState, useRef, useCallback } from 'react';
import CardView, { Column, CardCover, Selection } from 'devextreme-react/card-view';
import type { CardViewRef } from 'devextreme-react/card-view';
import CheckBox from 'devextreme-react/check-box';
import type { CheckBoxTypes } from 'devextreme-react/check-box';
import type { SingleOrMultiple, SelectAllMode } from 'devextreme-react/common';
import type { SelectionColumnDisplayMode } from 'devextreme-react/common/grids';
import SelectBox from 'devextreme-react/select-box';
import { employees } from './data.ts';
import type { Employee } from './data.ts';
type CheckBoxValue = CheckBoxTypes.Properties['value'];
function altExpr({ FullName }: Employee): string {
return `Photo of ${FullName}`;
}
function imageExpr({ FullName }: Employee): string {
return `../../../../images/employees/new/${FullName}.jpg`;
}
const selectionModeLabel = { 'aria-label': 'Selection Mode' };
const showCheckBoxesModeLabel = { 'aria-label': 'Show Checkboxes Mode' };
const selectAllModeLabel = { 'aria-label': 'Select All Mode' };
const selectionModes: SingleOrMultiple[] = ['single', 'multiple'];
const showCheckBoxesModes: SelectionColumnDisplayMode[] = ['always', 'none', 'onClick', 'onLongTap'];
const selectAllModes: SelectAllMode[] = ['allPages', 'page'];
const defaultSelectedCardKeys = [4, 6];
const App = () => {
const [selectionMode, setSelectionMode] = useState<SingleOrMultiple>('multiple');
const [allowSelectAll, setAllowSelectAll] = useState<CheckBoxValue>(true);
const [showCheckBoxesMode, setShowCheckBoxesMode] = useState<SelectionColumnDisplayMode>('always');
const [selectAllMode, setSelectAllMode] = useState<SelectAllMode>('allPages');
const cardViewRef = useRef<CardViewRef>(null);
const isMultipleSelection = selectionMode === 'multiple';
const isSelectAllDisabled = !isMultipleSelection || !allowSelectAll;
const canSelectAll = !!allowSelectAll;
const onSelectionModeChange = useCallback((value: SingleOrMultiple) => {
setSelectionMode(value);
cardViewRef.current?.instance().clearSelection();
}, []);
return (
<>
<div className="options-panel">
<div className="caption">Options</div>
<div className="options-container">
<div className="option">
<span>Selection Mode</span>
<SelectBox
inputAttr={selectionModeLabel}
dataSource={selectionModes}
value={selectionMode}
onValueChange={onSelectionModeChange}
></SelectBox>
</div>
<div className="option">
<span>Show Checkboxes Mode</span>
<SelectBox
inputAttr={showCheckBoxesModeLabel}
dataSource={showCheckBoxesModes}
value={showCheckBoxesMode}
onValueChange={setShowCheckBoxesMode}
disabled={!isMultipleSelection}
></SelectBox>
</div>
<div className="option">
<span>Select All Mode</span>
<SelectBox
inputAttr={selectAllModeLabel}
dataSource={selectAllModes}
value={selectAllMode}
onValueChange={setSelectAllMode}
disabled={isSelectAllDisabled}
></SelectBox>
</div>
<div className="option">
<CheckBox
text="Allow Select All"
value={allowSelectAll}
onValueChange={setAllowSelectAll}
disabled={!isMultipleSelection}
></CheckBox>
</div>
</div>
</div>
<CardView
dataSource={employees}
keyExpr="ID"
cardsPerRow="auto"
cardMinWidth={300}
defaultSelectedCardKeys={defaultSelectedCardKeys}
ref={cardViewRef}
>
<CardCover
altExpr={altExpr}
imageExpr={imageExpr}
/>
<Selection
mode={selectionMode}
showCheckBoxesMode={showCheckBoxesMode}
allowSelectAll={canSelectAll}
selectAllMode={selectAllMode}
/>
<Column
dataField="FullName"
/>
<Column
dataField="Position"
/>
<Column
dataField="Phone"
/>
<Column
dataField="Email"
/>
</CardView>
</>
);
};
export default App;
import React, { useState, useRef, useCallback } from 'react';
import CardView, { Column, CardCover, Selection } from 'devextreme-react/card-view';
import CheckBox from 'devextreme-react/check-box';
import SelectBox from 'devextreme-react/select-box';
import { employees } from './data.js';
function altExpr({ FullName }) {
return `Photo of ${FullName}`;
}
function imageExpr({ FullName }) {
return `../../../../images/employees/new/${FullName}.jpg`;
}
const selectionModeLabel = { 'aria-label': 'Selection Mode' };
const showCheckBoxesModeLabel = { 'aria-label': 'Show Checkboxes Mode' };
const selectAllModeLabel = { 'aria-label': 'Select All Mode' };
const selectionModes = ['single', 'multiple'];
const showCheckBoxesModes = ['always', 'none', 'onClick', 'onLongTap'];
const selectAllModes = ['allPages', 'page'];
const defaultSelectedCardKeys = [4, 6];
const App = () => {
const [selectionMode, setSelectionMode] = useState('multiple');
const [allowSelectAll, setAllowSelectAll] = useState(true);
const [showCheckBoxesMode, setShowCheckBoxesMode] = useState('always');
const [selectAllMode, setSelectAllMode] = useState('allPages');
const cardViewRef = useRef(null);
const isMultipleSelection = selectionMode === 'multiple';
const isSelectAllDisabled = !isMultipleSelection || !allowSelectAll;
const canSelectAll = !!allowSelectAll;
const onSelectionModeChange = useCallback((value) => {
setSelectionMode(value);
cardViewRef.current?.instance().clearSelection();
}, []);
return (
<>
<div className="options-panel">
<div className="caption">Options</div>
<div className="options-container">
<div className="option">
<span>Selection Mode</span>
<SelectBox
inputAttr={selectionModeLabel}
dataSource={selectionModes}
value={selectionMode}
onValueChange={onSelectionModeChange}
></SelectBox>
</div>
<div className="option">
<span>Show Checkboxes Mode</span>
<SelectBox
inputAttr={showCheckBoxesModeLabel}
dataSource={showCheckBoxesModes}
value={showCheckBoxesMode}
onValueChange={setShowCheckBoxesMode}
disabled={!isMultipleSelection}
></SelectBox>
</div>
<div className="option">
<span>Select All Mode</span>
<SelectBox
inputAttr={selectAllModeLabel}
dataSource={selectAllModes}
value={selectAllMode}
onValueChange={setSelectAllMode}
disabled={isSelectAllDisabled}
></SelectBox>
</div>
<div className="option">
<CheckBox
text="Allow Select All"
value={allowSelectAll}
onValueChange={setAllowSelectAll}
disabled={!isMultipleSelection}
></CheckBox>
</div>
</div>
</div>
<CardView
dataSource={employees}
keyExpr="ID"
cardsPerRow="auto"
cardMinWidth={300}
defaultSelectedCardKeys={defaultSelectedCardKeys}
ref={cardViewRef}
>
<CardCover
altExpr={altExpr}
imageExpr={imageExpr}
/>
<Selection
mode={selectionMode}
showCheckBoxesMode={showCheckBoxesMode}
allowSelectAll={canSelectAll}
selectAllMode={selectAllMode}
/>
<Column dataField="FullName" />
<Column dataField="Position" />
<Column dataField="Phone" />
<Column dataField="Email" />
</CardView>
</>
);
};
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export interface Employee {
ID: number;
FullName: string;
Position: string;
Department: string;
Phone: string;
Email: string;
}
export const employees: Employee[] = [
{
ID: 3,
FullName: 'Arthur Miller',
Position: 'CTO',
Department: 'Management',
Phone: '+1 (310) 555-8583',
Email: 'arthurm@dx-email.com',
},
{
ID: 4,
FullName: 'Robert Reagan',
Position: 'CMO',
Department: 'Management',
Phone: '+1 (818) 555-2387',
Email: 'robertr@dx-email.com',
},
{
ID: 5,
FullName: 'Greta Sims',
Position: 'HR Manager',
Department: 'Human Resources',
Phone: '+1 (818) 555-6546',
Email: 'gretas@dx-email.com',
},
{
ID: 6,
FullName: 'Brett Wade',
Position: 'IT Manager',
Department: 'IT',
Phone: '+1 (626) 555-0358',
Email: 'brettw@dx-email.com',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Position: 'Controller',
Department: 'Human Resources',
Phone: '+1 (562) 555-2082',
Email: 'sandraj@dx-email.com',
},
{
ID: 8,
FullName: 'Ed Holmes',
Position: 'Sales Manager',
Department: 'Sales',
Phone: '+1 (310) 555-1288',
Email: 'edwardh@dx-email.com',
},
{
ID: 9,
FullName: 'Barb Banks',
Position: 'Support Manager',
Department: 'Support',
Phone: '+1 (310) 555-3355',
Email: 'barbarab@dx-email.com',
},
{
ID: 10,
FullName: 'Kevin Carter',
Position: 'Shipping Manager',
Department: 'Shipping',
Phone: '+1 (213) 555-2840',
Email: 'kevinc@dx-email.com',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Position: 'HR Assistant',
Department: 'Human Resources',
Phone: '+1 (818) 555-6655',
Email: 'cindys@dx-email.com',
},
{
ID: 12,
FullName: 'Sammy Hill',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (626) 555-7292',
Email: 'sammyh@dx-email.com',
},
{
ID: 13,
FullName: 'Davey Jones',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (626) 555-0281',
Email: 'davidj@dx-email.com',
},
{
ID: 14,
FullName: 'Victor Norris',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-9278',
Email: 'victorn@dx-email.com',
},
{
ID: 15,
FullName: 'Mary Stern',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-7857',
Email: 'marys@dx-email.com',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-0942',
Email: 'robinc@dx-email.com',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (818) 555-9248',
Email: 'kellyr@dx-email.com',
},
{
ID: 18,
FullName: 'James Anderson',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (323) 555-4702',
Email: 'jamesa@dx-email.com',
},
{
ID: 19,
FullName: 'Antony Remmen',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (310) 555-6625',
Email: 'anthonyr@dx-email.com',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-2728',
Email: 'oliviap@dx-email.com',
},
{
ID: 21,
FullName: 'Taylor Riley',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (310) 555-7276',
Email: 'taylorr@dx-email.com',
},
{
ID: 22,
FullName: 'Amelia Harper',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (213) 555-4276',
Email: 'ameliah@dx-email.com',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-8872',
Email: 'wallyh@dx-email.com',
},
{
ID: 24,
FullName: 'Brad Jameson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-4646',
Email: 'bradleyj@dx-email.com',
},
{
ID: 25,
FullName: 'Karen Goodson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (626) 555-0908',
Email: 'kareng@dx-email.com',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Position: 'Travel Coordinator',
Department: 'Human Resources',
Phone: '+1 (213) 555-7098',
Email: 'marcuso@dx-email.com',
},
{
ID: 27,
FullName: 'Sandy Bright',
Position: 'Benefits Coordinator',
Department: 'Human Resources',
Phone: '+1 (818) 555-0524',
Email: 'sandrab@dx-email.com',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Position: 'Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-8238',
Email: 'morgank@dx-email.com',
},
{
ID: 29,
FullName: 'Violet Bailey',
Position: 'Jr Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-2478',
Email: 'violetb@dx-email.com',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Position: 'Ombudsman',
Department: 'Human Resources',
Phone: '+1 (562) 555-9282',
Email: 'kents@dx-email.com',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Position: 'Trainer',
Department: 'Support',
Phone: '+1 (562) 555-8377',
Email: 'nataliem@dx-email.com',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Position: 'Director of Engineering',
Department: 'Engineering',
Phone: '+1 (714) 555-2000',
Email: 'barta@dx-email.com',
},
{
ID: 33,
FullName: 'Leah Simpson',
Position: 'Test Coordinator',
Department: 'Engineering',
Phone: '+1 (562) 559-5830',
Email: 'leahs@dx-email.com',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-8882',
Email: 'arnolds@dx-email.com',
},
{
ID: 35,
FullName: 'Samantha Piper',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (323) 555-4512',
Email: 'samanthap@dx-email.com',
},
{
ID: 36,
FullName: 'Maggie Boxter',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-7239',
Email: 'margaretb@dx-email.com',
},
{
ID: 37,
FullName: 'Terry Bradley',
Position: 'QA Engineer',
Department: 'Engineering',
Phone: '+1 (805) 555-2788',
Email: 'terryb@dx-email.com',
},
{
ID: 38,
FullName: 'Gabe Jones',
Position: 'Retail Coordinator',
Department: 'Support',
Phone: '+1 (310) 555-5395',
Email: 'gabrielj@dx-email.com',
},
{
ID: 39,
FullName: 'Lucy Ball',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-3357',
Email: 'lucyb@dx-email.com',
},
{
ID: 40,
FullName: 'Jim Packard',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (661) 555-8224',
Email: 'jamesp@dx-email.com',
},
{
ID: 41,
FullName: 'Hannah Brookly',
Position: 'Online Sales Manager',
Department: 'Sales',
Phone: '+1 (805) 555-3627',
Email: 'hannahb@dx-email.com',
},
{
ID: 42,
FullName: 'Harv Mudd',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (831) 555-3895',
Email: 'harveym@dx-email.com',
},
{
ID: 43,
FullName: 'Clark Morgan',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-2525',
Email: 'clarkm@dx-email.com',
},
{
ID: 44,
FullName: 'Todd Hoffman',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-3579',
Email: 'toddh@dx-email.com',
},
{
ID: 45,
FullName: 'Jackie Garmin',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (213) 555-1824',
Email: 'jackg@dx-email.com',
},
{
ID: 46,
FullName: 'Lincoln Bartlett',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (213) 555-8272',
Email: 'lincolnb@dx-email.com',
},
{
ID: 47,
FullName: 'Brad Farkus',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-3626',
Email: 'bradf@dx-email.com',
},
{
ID: 48,
FullName: 'Jenny Hobbs',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (310) 555-2668',
Email: 'jennyh@dx-email.com',
},
{
ID: 49,
FullName: 'Dallas Lou',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-8357',
Email: 'dallas@dx-email.com',
},
{
ID: 50,
FullName: 'Stu Pizaro',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-2552',
Email: 'stu@dx-email.com',
},
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.31/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.70/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const employees = [
{
ID: 3,
FullName: 'Arthur Miller',
Position: 'CTO',
Department: 'Management',
Phone: '+1 (310) 555-8583',
Email: 'arthurm@dx-email.com',
},
{
ID: 4,
FullName: 'Robert Reagan',
Position: 'CMO',
Department: 'Management',
Phone: '+1 (818) 555-2387',
Email: 'robertr@dx-email.com',
},
{
ID: 5,
FullName: 'Greta Sims',
Position: 'HR Manager',
Department: 'Human Resources',
Phone: '+1 (818) 555-6546',
Email: 'gretas@dx-email.com',
},
{
ID: 6,
FullName: 'Brett Wade',
Position: 'IT Manager',
Department: 'IT',
Phone: '+1 (626) 555-0358',
Email: 'brettw@dx-email.com',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Position: 'Controller',
Department: 'Human Resources',
Phone: '+1 (562) 555-2082',
Email: 'sandraj@dx-email.com',
},
{
ID: 8,
FullName: 'Ed Holmes',
Position: 'Sales Manager',
Department: 'Sales',
Phone: '+1 (310) 555-1288',
Email: 'edwardh@dx-email.com',
},
{
ID: 9,
FullName: 'Barb Banks',
Position: 'Support Manager',
Department: 'Support',
Phone: '+1 (310) 555-3355',
Email: 'barbarab@dx-email.com',
},
{
ID: 10,
FullName: 'Kevin Carter',
Position: 'Shipping Manager',
Department: 'Shipping',
Phone: '+1 (213) 555-2840',
Email: 'kevinc@dx-email.com',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Position: 'HR Assistant',
Department: 'Human Resources',
Phone: '+1 (818) 555-6655',
Email: 'cindys@dx-email.com',
},
{
ID: 12,
FullName: 'Sammy Hill',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (626) 555-7292',
Email: 'sammyh@dx-email.com',
},
{
ID: 13,
FullName: 'Davey Jones',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (626) 555-0281',
Email: 'davidj@dx-email.com',
},
{
ID: 14,
FullName: 'Victor Norris',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-9278',
Email: 'victorn@dx-email.com',
},
{
ID: 15,
FullName: 'Mary Stern',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-7857',
Email: 'marys@dx-email.com',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (818) 555-0942',
Email: 'robinc@dx-email.com',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (818) 555-9248',
Email: 'kellyr@dx-email.com',
},
{
ID: 18,
FullName: 'James Anderson',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (323) 555-4702',
Email: 'jamesa@dx-email.com',
},
{
ID: 19,
FullName: 'Antony Remmen',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (310) 555-6625',
Email: 'anthonyr@dx-email.com',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-2728',
Email: 'oliviap@dx-email.com',
},
{
ID: 21,
FullName: 'Taylor Riley',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (310) 555-7276',
Email: 'taylorr@dx-email.com',
},
{
ID: 22,
FullName: 'Amelia Harper',
Position: 'Network Admin',
Department: 'IT',
Phone: '+1 (213) 555-4276',
Email: 'ameliah@dx-email.com',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-8872',
Email: 'wallyh@dx-email.com',
},
{
ID: 24,
FullName: 'Brad Jameson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (818) 555-4646',
Email: 'bradleyj@dx-email.com',
},
{
ID: 25,
FullName: 'Karen Goodson',
Position: 'Programmer',
Department: 'IT',
Phone: '+1 (626) 555-0908',
Email: 'kareng@dx-email.com',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Position: 'Travel Coordinator',
Department: 'Human Resources',
Phone: '+1 (213) 555-7098',
Email: 'marcuso@dx-email.com',
},
{
ID: 27,
FullName: 'Sandy Bright',
Position: 'Benefits Coordinator',
Department: 'Human Resources',
Phone: '+1 (818) 555-0524',
Email: 'sandrab@dx-email.com',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Position: 'Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-8238',
Email: 'morgank@dx-email.com',
},
{
ID: 29,
FullName: 'Violet Bailey',
Position: 'Jr Graphic Designer',
Department: 'IT',
Phone: '+1 (818) 555-2478',
Email: 'violetb@dx-email.com',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Position: 'Ombudsman',
Department: 'Human Resources',
Phone: '+1 (562) 555-9282',
Email: 'kents@dx-email.com',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Position: 'Trainer',
Department: 'Support',
Phone: '+1 (562) 555-8377',
Email: 'nataliem@dx-email.com',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Position: 'Director of Engineering',
Department: 'Engineering',
Phone: '+1 (714) 555-2000',
Email: 'barta@dx-email.com',
},
{
ID: 33,
FullName: 'Leah Simpson',
Position: 'Test Coordinator',
Department: 'Engineering',
Phone: '+1 (562) 559-5830',
Email: 'leahs@dx-email.com',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-8882',
Email: 'arnolds@dx-email.com',
},
{
ID: 35,
FullName: 'Samantha Piper',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (323) 555-4512',
Email: 'samanthap@dx-email.com',
},
{
ID: 36,
FullName: 'Maggie Boxter',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (714) 555-7239',
Email: 'margaretb@dx-email.com',
},
{
ID: 37,
FullName: 'Terry Bradley',
Position: 'QA Engineer',
Department: 'Engineering',
Phone: '+1 (805) 555-2788',
Email: 'terryb@dx-email.com',
},
{
ID: 38,
FullName: 'Gabe Jones',
Position: 'Retail Coordinator',
Department: 'Support',
Phone: '+1 (310) 555-5395',
Email: 'gabrielj@dx-email.com',
},
{
ID: 39,
FullName: 'Lucy Ball',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (310) 555-3357',
Email: 'lucyb@dx-email.com',
},
{
ID: 40,
FullName: 'Jim Packard',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (661) 555-8224',
Email: 'jamesp@dx-email.com',
},
{
ID: 41,
FullName: 'Hannah Brookly',
Position: 'Online Sales Manager',
Department: 'Sales',
Phone: '+1 (805) 555-3627',
Email: 'hannahb@dx-email.com',
},
{
ID: 42,
FullName: 'Harv Mudd',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (831) 555-3895',
Email: 'harveym@dx-email.com',
},
{
ID: 43,
FullName: 'Clark Morgan',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-2525',
Email: 'clarkm@dx-email.com',
},
{
ID: 44,
FullName: 'Todd Hoffman',
Position: 'Retail Sales Manager',
Department: 'Sales',
Phone: '+1 (925) 555-3579',
Email: 'toddh@dx-email.com',
},
{
ID: 45,
FullName: 'Jackie Garmin',
Position: 'Support Assistant',
Department: 'Support',
Phone: '+1 (213) 555-1824',
Email: 'jackg@dx-email.com',
},
{
ID: 46,
FullName: 'Lincoln Bartlett',
Position: 'Sales Assistant',
Department: 'Sales',
Phone: '+1 (213) 555-8272',
Email: 'lincolnb@dx-email.com',
},
{
ID: 47,
FullName: 'Brad Farkus',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-3626',
Email: 'bradf@dx-email.com',
},
{
ID: 48,
FullName: 'Jenny Hobbs',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (310) 555-2668',
Email: 'jennyh@dx-email.com',
},
{
ID: 49,
FullName: 'Dallas Lou',
Position: 'Shipping Assistant',
Department: 'Shipping',
Phone: '+1 (213) 555-8357',
Email: 'dallas@dx-email.com',
},
{
ID: 50,
FullName: 'Stu Pizaro',
Position: 'Engineer',
Department: 'Engineering',
Phone: '+1 (213) 555-2552',
Email: 'stu@dx-email.com',
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.options-panel {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.options-container {
display: flex;
flex-wrap: wrap;
align-items: center;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin: 10px;
display: flex;
align-items: center;
width: fit-content;
}
.option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
Use the following properties to configure CardView selection:
- allowSelectAll
Allows users to select all or current page cards (based on selectAllMode). - selectAllMode
Specifies mode used to select all cards. Applies only if selection.allowSelectAll istrue. - showCheckBoxesMode
Specifies when to display card selection checkboxes.